#pragma once

#include "../sys/msys.h"
#include "../sys/extra/msys_extra.h"
#include "../sys/extra/3dHelpers.h"
#include "../resources/resource.h"

typedef struct bmpFontChar
{
	char charVal;
	quadTex texCoords;
}bmpFontChar;
	

// RGF based bitmap fixed width font
class bmpFont
{

private:
	GLuint _texturemap;
	GLint _texWidth, _texHeight;
	void ProcessFont();

public:
	int CharWidth, CharHeight, XPadding;
	float Aspect;
	bmpFontChar Chars[256];
	bmpFont(int rgfResourceId, int charWidth, int charHeight, int xPadding);
	void BindTexture();
	~bmpFont(void);

};
